[Testing Update] 2018-04-08 - LibreOffice, Calamares, Inxi, Illyria Alpha 2

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. Our most effort went into LibreOffice, Calamares and Inxi. Additionally we updated Haskell and Python packages.

If you wanna test the latest features of the upcoming Manjaro release Illyria, you may checkout our Manjaro XFCE v18.0a2 ISO.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.102 [EOL]
  • linux41 4.1.51
  • linux44 4.4.126
  • linux49 4.9.92
  • linux414 4.14.32
  • linux415 4.15.15
  • linux416 4.16.0
  • linux417 4.17-rc0
  • linux-rt 4.14.29_rt25

Package Updates (Sun Apr 8 08:17:42 CEST 2018)

  • testing community x86_64: 55 new and 51 removed package(s)
  • testing core x86_64: 1 new and 1 removed package(s)
  • testing extra x86_64: 119 new and 119 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-07           2017-04-08
-------------------------------------------------------------------------------
                                inxi             2.9.11-1             2.9.12-1
                        screenfetch 3.8.0.r45.ga0bffe0-1 3.8.0.r107.g522c9c0-1
          manjaro-gdm-18.0-theme-dev                    -           20180407-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-07           2017-04-08
-------------------------------------------------------------------------------
 aarch64-linux-gnu-linux-api-headers               4.15-2               4.16-1
                             calibre             3.20.0-2             3.21.0-1
                              ccache              3.4.1-1              3.4.2-1
                          containerd              1.0.2-1              1.0.3-1
                          diffoscope                 90-2                 93-1
                            gpsbabel              1.5.4-3              1.5.4-4
                              grails              3.3.3-1              3.3.4-1
                         grails-docs              3.3.3-1              3.3.4-1
                             haproxy              1.8.4-1              1.8.7-1
                        libmediainfo              18.03-1            18.03.1-1
                           mediainfo              18.03-1            18.03.1-1
                            neofetch              3.3.0-2              3.4.0-1
                             oidentd              2.2.0-1              2.2.3-1
                             pkgconf              1.4.1-1              1.4.2-1
                   powerdns-recursor              4.1.1-1              4.1.2-1
                      python-aiohttp              3.1.0-1              3.1.2-1
                      python-alembic              0.9.8-1              0.9.9-1
                      python-axolotl             0.1.39-2             0.1.42-1
                   python-hypothesis             3.55.0-1             3.55.1-1
                        python-pcapy             0.11.1-1             0.11.3-1
                       python-pipenv             11.9.0-2             11.9.0-3
                   python-tensorflow              1.7.0-1              1.7.0-2
              python-tensorflow-cuda              1.7.0-1              1.7.0-2
               python-tensorflow-opt              1.7.0-1              1.7.0-2
          python-tensorflow-opt-cuda              1.7.0-1              1.7.0-2
                     python2-alembic              0.9.8-1              0.9.9-1
                     python2-axolotl             0.1.39-2             0.1.42-1
                  python2-hypothesis             3.55.0-1             3.55.1-1
                    python2-m2crypto             0.27.0-1             0.29.0-1
                       python2-pcapy             0.11.1-1             0.11.3-1
                      python2-pipenv             11.9.0-2             11.9.0-3
                              restic              0.8.3-2              0.8.3-3
                          ruby-async              1.4.0-1              1.4.1-1
                       ruby-async-io              1.4.0-1              1.6.1-1
                       ruby-mail-gpg              0.3.1-2              0.3.3-1
                           ruby-sass              3.5.5-1              3.5.6-1
                                salt           2017.7.4-1           2018.3.0-1
                              sqlmap              1.2.3-1              1.2.4-1
                          tensorflow              1.7.0-1              1.7.0-2
                     tensorflow-cuda              1.7.0-1              1.7.0-2
                      tensorflow-opt              1.7.0-1              1.7.0-2
                 tensorflow-opt-cuda              1.7.0-1              1.7.0-2
                          testssl.sh            2.9.5.2-1            2.9.5.3-1
                           uglify-js             3.3.18-1             3.3.19-1
                           veracrypt               1.21-2               1.22-1
                       vim-gitgutter        490.37bdd03-1        491.3724e1c-1
                            vim-jedi              0.8.0-3              0.9.0-1
                            wxpython            3.0.2.0-7                    -
                              xmobar              0.25-24               0.26-1
                     python-m2crypto                    -             0.29.0-1
                     python-wxpython                    -              4.0.1-1
                   python2-wxpython3                    -            3.0.2.0-1
                              trojan                    -              1.0.0-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-07           2017-04-08
-------------------------------------------------------------------------------
                              man-db              2.8.2-1              2.8.3-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-07           2017-04-08
-------------------------------------------------------------------------------
                 calamares-git 3.2.0.r4456.3a54f4488-1 3.2.0.r4494.031416a1d-1
                          xfwm4-gtk3            4.13.0-10            4.13.0-11


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-07           2017-04-08
-------------------------------------------------------------------------------
                         gdk-pixbuf2 2.36.11+70+g00e03a272-1         2.36.12-1
                             libpqxx              6.1.1-1              6.2.2-1
                   libreoffice-fresh              6.0.2-3              6.0.3-1
                libreoffice-fresh-af              6.0.2-1              6.0.3-2
                libreoffice-fresh-am              6.0.2-1              6.0.3-2
                libreoffice-fresh-ar              6.0.2-1              6.0.3-2
                libreoffice-fresh-as              6.0.2-1              6.0.3-2
               libreoffice-fresh-ast              6.0.2-1              6.0.3-2
                libreoffice-fresh-be              6.0.2-1              6.0.3-2
                libreoffice-fresh-bg              6.0.2-1              6.0.3-2
                libreoffice-fresh-bn              6.0.2-1              6.0.3-2
             libreoffice-fresh-bn-IN              6.0.2-1                    -
                libreoffice-fresh-bo              6.0.2-1              6.0.3-2
                libreoffice-fresh-br              6.0.2-1              6.0.3-2
               libreoffice-fresh-brx              6.0.2-1              6.0.3-2
                libreoffice-fresh-bs              6.0.2-1              6.0.3-2
                libreoffice-fresh-ca              6.0.2-1              6.0.3-2
       libreoffice-fresh-ca-valencia              6.0.2-1              6.0.3-2
                libreoffice-fresh-cs              6.0.2-1              6.0.3-2
                libreoffice-fresh-cy              6.0.2-1              6.0.3-2
                libreoffice-fresh-da              6.0.2-1              6.0.3-2
                libreoffice-fresh-de              6.0.2-1              6.0.3-2
               libreoffice-fresh-dgo              6.0.2-1              6.0.3-2
                libreoffice-fresh-dz              6.0.2-1              6.0.3-2
                libreoffice-fresh-el              6.0.2-1              6.0.3-2
             libreoffice-fresh-en-GB              6.0.2-1                    -
             libreoffice-fresh-en-ZA              6.0.2-1                    -
                libreoffice-fresh-eo              6.0.2-1              6.0.3-2
                libreoffice-fresh-es              6.0.2-1              6.0.3-2
                libreoffice-fresh-et              6.0.2-1              6.0.3-2
                libreoffice-fresh-eu              6.0.2-1              6.0.3-2
                libreoffice-fresh-fa              6.0.2-1              6.0.3-2
                libreoffice-fresh-fi              6.0.2-1              6.0.3-2
                libreoffice-fresh-fr              6.0.2-1              6.0.3-2
                libreoffice-fresh-ga              6.0.2-1              6.0.3-2
                libreoffice-fresh-gd              6.0.2-1              6.0.3-2
                libreoffice-fresh-gl              6.0.2-1              6.0.3-2
                libreoffice-fresh-gu              6.0.2-1              6.0.3-2
                libreoffice-fresh-he              6.0.2-1              6.0.3-2
                libreoffice-fresh-hi              6.0.2-1              6.0.3-2
                libreoffice-fresh-hr              6.0.2-1              6.0.3-2
                libreoffice-fresh-hu              6.0.2-1              6.0.3-2
                libreoffice-fresh-id              6.0.2-1              6.0.3-2
                libreoffice-fresh-is              6.0.2-1              6.0.3-2
                libreoffice-fresh-it              6.0.2-1              6.0.3-2
                libreoffice-fresh-ja              6.0.2-1              6.0.3-2
                libreoffice-fresh-ka              6.0.2-1              6.0.3-2
                libreoffice-fresh-kk              6.0.2-1              6.0.3-2
                libreoffice-fresh-km              6.0.2-1              6.0.3-2
          libreoffice-fresh-kmr-Latn              6.0.2-1                    -
                libreoffice-fresh-kn              6.0.2-1              6.0.3-2
                libreoffice-fresh-ko              6.0.2-1              6.0.3-2
               libreoffice-fresh-kok              6.0.2-1              6.0.3-2
                libreoffice-fresh-ks              6.0.2-1              6.0.3-2
                libreoffice-fresh-lb              6.0.2-1              6.0.3-2
                libreoffice-fresh-lo              6.0.2-1              6.0.3-2
                libreoffice-fresh-lt              6.0.2-1              6.0.3-2
                libreoffice-fresh-lv              6.0.2-1              6.0.3-2
               libreoffice-fresh-mai              6.0.2-1              6.0.3-2
                libreoffice-fresh-mk              6.0.2-1              6.0.3-2
                libreoffice-fresh-ml              6.0.2-1              6.0.3-2
                libreoffice-fresh-mn              6.0.2-1              6.0.3-2
               libreoffice-fresh-mni              6.0.2-1              6.0.3-2
                libreoffice-fresh-mr              6.0.2-1              6.0.3-2
                libreoffice-fresh-my              6.0.2-1              6.0.3-2
                libreoffice-fresh-nb              6.0.2-1              6.0.3-2
                libreoffice-fresh-ne              6.0.2-1              6.0.3-2
                libreoffice-fresh-nl              6.0.2-1              6.0.3-2
                libreoffice-fresh-nn              6.0.2-1              6.0.3-2
                libreoffice-fresh-nr              6.0.2-1              6.0.3-2
               libreoffice-fresh-nso              6.0.2-1              6.0.3-2
                libreoffice-fresh-oc              6.0.2-1              6.0.3-2
                libreoffice-fresh-om              6.0.2-1              6.0.3-2
                libreoffice-fresh-or              6.0.2-1              6.0.3-2
             libreoffice-fresh-pa-IN              6.0.2-1                    -
                libreoffice-fresh-pl              6.0.2-1              6.0.3-2
                libreoffice-fresh-pt              6.0.2-1              6.0.3-2
             libreoffice-fresh-pt-BR              6.0.2-1                    -
                libreoffice-fresh-ro              6.0.2-1              6.0.3-2
                libreoffice-fresh-ru              6.0.2-1              6.0.3-2
                libreoffice-fresh-rw              6.0.2-1              6.0.3-2
             libreoffice-fresh-sa-IN              6.0.2-1                    -
               libreoffice-fresh-sat              6.0.2-1              6.0.3-2
                libreoffice-fresh-sd              6.0.2-1              6.0.3-2
               libreoffice-fresh-sdk              6.0.2-3              6.0.3-1
                libreoffice-fresh-si              6.0.2-1              6.0.3-2
               libreoffice-fresh-sid              6.0.2-1              6.0.3-2
                libreoffice-fresh-sk              6.0.2-1              6.0.3-2
                libreoffice-fresh-sl              6.0.2-1              6.0.3-2
                libreoffice-fresh-sq              6.0.2-1              6.0.3-2
                libreoffice-fresh-sr              6.0.2-1              6.0.3-2
           libreoffice-fresh-sr-Latn              6.0.2-1                    -
                libreoffice-fresh-ss              6.0.2-1              6.0.3-2
                libreoffice-fresh-st              6.0.2-1              6.0.3-2
                libreoffice-fresh-sv              6.0.2-1              6.0.3-2
             libreoffice-fresh-sw-TZ              6.0.2-1                    -
                libreoffice-fresh-ta              6.0.2-1              6.0.3-2
                libreoffice-fresh-te              6.0.2-1              6.0.3-2
                libreoffice-fresh-tg              6.0.2-1              6.0.3-2
                libreoffice-fresh-th              6.0.2-1              6.0.3-2
                libreoffice-fresh-tn              6.0.2-1              6.0.3-2
                libreoffice-fresh-tr              6.0.2-1              6.0.3-2
                libreoffice-fresh-ts              6.0.2-1              6.0.3-2
                libreoffice-fresh-tt              6.0.2-1              6.0.3-2
                libreoffice-fresh-ug              6.0.2-1              6.0.3-2
                libreoffice-fresh-uk              6.0.2-1              6.0.3-2
                libreoffice-fresh-uz              6.0.2-1              6.0.3-2
                libreoffice-fresh-ve              6.0.2-1              6.0.3-2
                libreoffice-fresh-vi              6.0.2-1              6.0.3-2
                libreoffice-fresh-xh              6.0.2-1              6.0.3-2
             libreoffice-fresh-zh-CN              6.0.2-1                    -
             libreoffice-fresh-zh-TW              6.0.2-1                    -
                libreoffice-fresh-zu              6.0.2-1              6.0.3-2
                           mm-common             0.9.11-1             0.9.12-1
                                mono         5.10.0.179-1          5.10.1.16-1
                             openmpi              3.0.0-1              3.0.1-1
                               pango             1.42.0-1             1.42.1-1
             libreoffice-fresh-bn-in                    -              6.0.3-2
             libreoffice-fresh-en-gb                    -              6.0.3-2
             libreoffice-fresh-en-za                    -              6.0.3-2
          libreoffice-fresh-kmr-latn                    -              6.0.3-2
             libreoffice-fresh-pa-in                    -              6.0.3-2
             libreoffice-fresh-pt-br                    -              6.0.3-2
             libreoffice-fresh-sa-in                    -              6.0.3-2
           libreoffice-fresh-sr-latn                    -              6.0.3-2
             libreoffice-fresh-sw-tz                    -              6.0.3-2
             libreoffice-fresh-zh-cn                    -              6.0.3-2
             libreoffice-fresh-zh-tw                    -              6.0.3-2



  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

Known issues and solutions

This is a wiki post; please edit as necessary.


Nautilus - Middle click on any location in other-locations:/// closes tab


Noto Sans Mono has incorrect spacing or has vanished (under KDE)

This has been reported upstream but hasn’t yet been fixed.



#3

only got inxi and libreoffice-fresh but these went well :slight_smile: thanks


#4

The new XFCE version looks so well polished !!! Love it !!!
The update on my main rig went well, no issue at all ! Cheers !


#5

inxi problem not solved

sh: sbin/tty: cannot execute binary file: Exec format error
sbin/ps: sbin/ps: cannot execute binary file
sbin/ps: sbin/ps: cannot execute binary file
Use of uninitialized value $pppid in substitution (s///) at /usr/bin/inxi line 4251.
sbin/ps: sbin/ps: cannot execute binary file

Linu74


#6

Please fill out an issue and we will fix it. Also note down the cmds you used.


#7

gnome-control-center is not starting anymore. It sits and waits 30 s and then says: “Cannot register”. Nevertheless ps shows that the gnome-control-center process exists. When I kill it I can start gnome-control-center again. After rebooting I have the same issue. The first process hangs, after killing it, it works fine.


[Testing Update] 2018-04-11 - ZFS, Firefox, Gnome v3.28.1, Haskell, Python
#8

Tried to install Manjaro 18 in a VM but installer didn’t function: last step was choosing the language, then it stopped completely. Am now installing it directly on the laptop. Where can I write my findings? Will there be a separate thread for it?


#9

Simply open a new thread for it. Alphas are expected not to work properly as they mostly use bleeding edge software.


#10

For me after that update it does work - can start it from GUI and terminal without any error mesages printed to the later.


#11

This is really weird. If gnome-control-center is running, it freezes when I select the “User” section.


[Testing Update] 2018-04-11 - ZFS, Firefox, Gnome v3.28.1, Haskell, Python
#12

Thats a word - there it stopw working for me as well; Will reboot now and see if I can reproduce it again AND get some debugworthy information.

EDIT: Alright after reboot I can not start it successfully from terminal anymore; The only output in journalctl that came after hitting enter is:

Apr 08 10:31:24 hk-01 systemd[1110]: Started Multimedia Service.
Apr 08 10:31:24 hk-01 pipewire[2093]: [E][v4l2-utils.c:1028 spa_v4l2_enum_controls()] VIDIOC_QUERYCTRL: Inappropriate ioctl for device
Apr 08 10:31:24 hk-01 rtkit-daemon[975]: Successfully made thread 2094 of process 2093 (/usr/bin/pipewire) owned by '1000' RT at priority 20.
Apr 08 10:31:24 hk-01 rtkit-daemon[975]: Supervising 2 threads of 2 processes of 1 users.

ps -aux | grep gnome-control-center

hk        2086  0.6  0.6 101724704 78796 pts/1 Sl+  10:31   0:00 gnome-control-center

prooves it is running (at least the process) but the GUI wont come up.
Terminating it in terminal with ctrl+c does stop the process but no further output either in journalctl or in the terminal I tried to start it.

After it got terminated once I can start gnome-control-center from the terminal again and it comes up working with that output in the jurnalctl

Apr 08 10:34:49 hk-01 dbus-daemon[547]: [system] Activating via systemd: service name='org.freedesktop.timedate1' unit='dbus-org.freedesktop.timedate1.service' requested by ':1.171' (uid=1000 pid=2157 comm="gnome-control-center ")
Apr 08 10:34:49 hk-01 systemd[1]: Starting Time & Date Service...
Apr 08 10:34:49 hk-01 dbus-daemon[547]: [system] Successfully activated service 'org.freedesktop.timedate1'
Apr 08 10:34:49 hk-01 systemd[1]: Started Time & Date Service.
Apr 08 10:34:49 hk-01 pipewire[2093]: [E][module-protocol-native.c:278 connection_data()] protocol-native 0x55e062164280: got connection error
Apr 08 10:34:50 hk-01 dbus-daemon[547]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.171' (uid=1000 pid=2157 comm="gnome-control-center ")
Apr 08 10:34:50 hk-01 systemd[1]: Starting Hostname Service...
Apr 08 10:34:50 hk-01 dbus-daemon[547]: [system] Successfully activated service 'org.freedesktop.hostname1'
Apr 08 10:34:50 hk-01 systemd[1]: Started Hostname Service.

Thats all I can come up with on my own - any other comands to run for debuging?


#13

Done https://github.com/smxi/inxi/issues/141

Linu74


#14

Are you sure that you’re running v2.9.12?

sudo pacman -U http://repo.manjaro.org.uk/pool/overlay/inxi-2.9.12-1-any.pkg.tar.xz


#15

@Th3Z0ne @mbod
old issue , sometime in certain conditions it happen

https://bbs.archlinux.org/viewtopic.php?id=232247


#16

Thanks @Ste74; I knew it felt somehow known ^^ Had that months ago with mouse settings - but now it moved to User subcategory only.


#17

Do you use a custom Gnome Shell theme and a mix with some other GTK theme? That is the issue …
After an intensive fooling around with themes and shell themes i find that some have a missing info in the css, and that hangs the gnome-control-center. That is why i wanted too to have an unified GTK+Shell theme that works from login screen to the moment people are logged in.
Please try the one i was talking with @Ste74 about on this discussion … my last comment … or wait to get the installer …
Made the tests on 3 installs (VBox and one metal) and i had no issues, and also i think the memory dropped from 560MB to 420MB …
Cheers!


#18

I tried it. I downloaded Arch_Adapta_Nokto_Maia_GDM_shell.zip and installed it:

I rebooted and checked. gnome-control-center still hangs on first try. When I kill that process it starts fine.


#19

Well, seems this is already also discussed at Arch and Reddit.


#20

Is not enough just to place that theme folder in .themes or ~/.local/share/themes then apply it from Gnome Tweak Tool. The binary file must be in the /usr/share/gnome-shell … and after that hit Alt+F2 then r to restart the shell and open the Control Center, kill it if hangs, open it again, then do a reboot, and then is working as expected. At least that was my case. I could reproduce this all the time i put a different (incomplete) gnome shell theme in /usr/share/gnome-shell …
Since then i started to build my own theme (that i will share once i will have it done) and everything works just fine.
To have that binary file where it needs to be, open File and go to that folder inside gnome-shell of the theme and from terminal run:

sudo cp gnome-shell-theme.gresource /usr/share/gnome-shell/gnome-shell-theme.gresource

I made this tests on stable, testing and unstable plus the alpha 18 installer and for me worked every time.